Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class RecipientIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.RecipientIdentifier

All Implemented Interfaces:
  DEREncodable

public class RecipientIdentifier
extends ASN1Encodable

Constructor Summary
`RecipientIdentifier(ASN1OctetString id)`
`RecipientIdentifier(DERObject id)`
`RecipientIdentifier(IssuerAndSerialNumber id)`

Method Summary
`DEREncodable` | `getId()`
`static RecipientIdentifier` | `getInstance(java.lang.Object o)` return a RecipientIdentifier object from the given object.
`boolean` | `isTagged()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientIdentifier

    public RecipientIdentifier(IssuerAndSerialNumber id)

### RecipientIdentifier

    public RecipientIdentifier(ASN1OctetString id)

### RecipientIdentifier

    public RecipientIdentifier(DERObject id)

Method Detail

### getInstance

    public static RecipientIdentifier getInstance(java.lang.Object o)

  return a RecipientIdentifier object from the given object.
  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### isTagged

    public boolean isTagged()

### getId

    public DEREncodable getId()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       RecipientIdentifier ::= CHOICE {
           issuerAndSerialNumber IssuerAndSerialNumber,
           subjectKeyIdentifier [0] SubjectKeyIdentifier
       }

       SubjectKeyIdentifier ::= OCTET STRING

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD